#!/bin/sh

# Upload packages and scripts for converting a plain PostmarketOS system into a Synit system

set -eu

HOST=${1:-pm-qemu}
SUDOPASS=${SUDOPASS:-user}

ssh ${HOST} "
    cp `which rsync` root-rsync;
    echo ${SUDOPASS} | sudo -S sh -c 'chown root:root root-rsync; chmod +s root-rsync';
    echo ${SUDOPASS} | sudo -S sh -c 'echo \"! <restart-service <daemon interface-monitor>>\" > /run/etc/syndicate/throck.pr';
"
rsync -avu --rsync-path="./root-rsync" \
      packaging/packages/synit-config/files/. \
      ${HOST}:/
